Mailinglist Archive: opensuse-packaging (183 mails)

< Previous Next >
Re: [opensuse-packaging] Packages that Requires: pkg-config
  • From: "Dominique Leuenberger" <Dominique.Leuenberger@xxxxxxxxxxxxx>
  • Date: Tue, 02 Jun 2009 12:58:23 +0200
  • Message-id: <4A2521EF0200002900018F6F@xxxxxxxxxxxxxxxxxxx>
On 6/2/2009 at 12:54, Pavol Rusnak <prusnak@xxxxxxx> wrote:
That is why I think that "Requires: pkg-config" is a good idea.
No, I think not. Requires are bad.

We should settle on a Recommends then and make it a (usability) policy too.

I agree. I changed Packaging Guidelines[1] to respect that.

[1] http://en.opensuse.org/Packaging/Guidelines#Pkgconfig_Files

could we get a lint that at least warns us about the missing Recommends?
Having it in the guideline is a good start, but not every packager reads up
here and follows the wiki daily.

Thus I suggest at least a warning in rpmlint. Most packagers should at least
try to minimize those warnings (and as far as I've seen most do).

Dominique


--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >